Masumi Logo

/webhooks

Register a new webhook endpoint

POST
/webhooks
token<token>

API key authentication via header (token)

In: header

Request Body

application/json

Webhook registration details

Response Body

application/json

curl -X POST "https://loading/./../api/v1/webhooks" \  -H "Content-Type: application/json" \  -d '{    "url": "https://your-server.com/webhook",    "authToken": "your-webhook-secret-token",    "Events": [      "PURCHASE_ON_CHAIN_STATUS_CHANGED",      "WALLET_LOW_BALANCE"    ],    "name": "My Payment Webhook",    "paymentSourceId": "payment_source_id_optional"  }'
{
  "status": "Success",
  "data": {
    "id": "webhook_endpoint_id",
    "url": "https://your-server.com/webhook",
    "name": "My Payment Webhook",
    "Events": [
      "PURCHASE_ON_CHAIN_STATUS_CHANGED",
      "WALLET_LOW_BALANCE"
    ],
    "isActive": true,
    "createdAt": "1970-01-20T20:00:36.260Z",
    "paymentSourceId": null
  }
}
Empty
Empty
Empty
Empty
Empty
Masumi Kanji